# WebApp_UIKit_Base Project
### 개요
- WebApp 프로젝트를 진행하면서 사용했던 코드들을 정리하고 후에 WebApp 서비스를 만들게 되는 경우 참고할 Reference를 위한 프로젝트이다.

## 특이사항
### .gitignore 내용
- none

## 일지

### 24.10.21

<details>
<summary><em>일지</em></summary>

- 프로젝트 시작
    - swift, UIKit 채택
    - 코드베이스 프로젝트 생성
        - 스토리보드 제거
        - import snapKit

- Prefix 파일 추가
    - 구현을 미리 해두어 자주 사용하거나 메서드들 정의된 코드 추가

- 싱글턴 클래스 추가
    - 싱글턴 클래스를 하나 추가하여 전역적인 처리가 필요한 부분에 대한 코드들을 정의해둠

- IntroVC 
    - 실질적으로 MainWebVC로 넘어가기 전에 처리할 내용들을 정의함
    1. 탈옥 기기 확인
    2. 네트워크 이상 없는지 확인
    3. 버전 체크 확인
        - 버전 체크 같은 경우는 서버가 필수적으로 있어야 하므로 해당 부분에 대한 서버가 없다면 해당 메서드를 삭제해야 함
    4. 위치정보확인
        - 앱에서 기본적으로 자주 사용되는 위치, 푸시 등의 기능 중 일단 위치 정보를 받아옴

</details>

---

### 24.10.22

<details>
<summary><em>일지</em></summary>

- MainWebVC
    - webView 설정 
    - 브릿지 방식으로 연결해서 사용하는 WebView 시스템 구축
    - 위에 새로 openWeb으로 띄우는 경우 x 로 close 버튼까지 구현

- WebView Base 완료

</details>

